Skip to content

知乎 API - 专栏文章列表 (V1)

prod-global
GET
/api/zhihu/get-column-article-list/v1

根据专栏 ID 获取该专栏下已发布文章的列表。

典型使用场景:

  • 追踪创作者产出并分析专栏表现。
  • 基于特定主题进行知识聚合。

请求参数

参数名位置类型必填说明
tokenquerystringTOKEN
columnIdquerystring列 ID
offsetqueryinteger起始偏移量,从0开始。

代码示例

💡 环境说明

默认示例使用 https://api.justoneapi.com (prod-global)。中国大陆地区建议替换为 http://47.117.133.51:30015 (prod-cn) 以获得更好的访问体验。详见 环境选择

bash
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/zhihu/get-column-article-list/v1?token=YOUR_API_KEY&columnId=VALUE"
text
我想使用 Just One API 提供的“专栏文章列表 (V1)”接口。
接口地址: https://api.justoneapi.com/api/zhihu/get-column-article-list/v1
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/zhihu-apis/column-article-list-v1-zh.json

请求参数说明:
- token (query): TOKEN (必填)
- columnId (query): 列 ID (必填)
- offset (query): 起始偏移量,从0开始。

返回格式: JSON

响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败,请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 余额不足

请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
python
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import requests

url = "https://api.justoneapi.com/api/zhihu/get-column-article-list/v1?token=YOUR_API_KEY&columnId=VALUE"
response = requests.get(url)
print(response.json())
js
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/zhihu/get-column-article-list/v1?token=YOUR_API_KEY&columnId=VALUE", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/zhihu/get-column-article-list/v1?token=YOUR_API_KEY&columnId=VALUE"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/zhihu/get-column-article-list/v1?token=YOUR_API_KEY&columnId=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/zhihu/get-column-article-list/v1?token=YOUR_API_KEY&columnId=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

响应结果

json
{
  "code": 0,
  "data": {
    "paging": {
      "is_end": false,
      "totals": 1467,
      "previous": "http://www.zhihu.com/api/v4/columns/zhangjiawei/items?limit=10&ws_qiangzhisafe=0&offset=0",
      "is_start": true,
      "next": "http://www.zhihu.com/api/v4/columns/zhangjiawei/items?limit=10&ws_qiangzhisafe=0&offset=10"
    },
    "data": [
      {
        "updated": 1772787785,
        "is_labeled": false,
        "copyright_permission": "need_review",
        "settings": {
          "table_of_contents": {
            "enabled": false
          }
        },
        "excerpt": "据说每一代人,都会被个什么坏东西毁掉。 我上大学时,“互联网和游戏会毁掉这一代人!” 我上小学时,“港台影视剧和港台明星会毁掉这一代人!” 我叔叔说,他刚参加工作时,“武侠小说会毁掉这一代人!” 等等...",
        "admin_closed_comment": false,
        "voting": 0,
        "article_type": "normal",
        "reason": "",
        "force_login_when_click_read_more": false,
        "excerpt_title": "",
        "id": "2013298427925123440",
        "voteup_count": 262,
        "title_image": "",
        "has_column": true,
        "url": "https://zhuanlan.zhihu.com/p/2013298427925123440",
        "comment_permission": "all",
        "author": {
          "is_followed": false,
          "avatar_url_template": "https://pic1.zhimg.com/v2-d626957872f9b38fa594394db2d2e6e7.jpg?source=d16d100b",
          "uid": "26731574460416",
          "user_type": "people",
          "is_following": false,
          "type": "people",
          "url_token": "zhang-jia-wei",
          "id": "f9de84865e3e8455a09af78bfe4d1da5",
          "description": "",
          "name": "张佳玮",
          "is_advertiser": false,
          "headline": "公号:张佳玮写字的地方",
          "gender": 1,
          "url": "/people/f9de84865e3e8455a09af78bfe4d1da5",
          "avatar_url": "https://picx.zhimg.com/v2-d626957872f9b38fa594394db2d2e6e7_l.jpg?source=d16d100b",
          "is_org": false,
          "badge": [
            {
              "topics": [],
              "type": "best_answerer",
              "description": "优秀答主"
            }
          ]
        },
        "comment_count": 38,
        "created": 1772787785,
        "content": "<p data-pid=\"3TIRnByL\">据说每一代人,都会被个什么坏东西毁掉。</p><p class=\"ztext-empty-paragraph\"><br/></p><p data-pid=...",
        "state": "published",
        "content_need_truncated": true,
        "image_url": "",
        "title": "“毁掉一代人的就是这!”",
        "can_comment": {
          "status": true,
          "reason": ""
        },
        "type": "article",
        "suggest_edit": {
          "status": false,
          "url": "",
          "reason": "",
          "tip": "",
          "title": ""
        }
      }
    ],
    "need_force_login": false
  }
}

💡 提示:为简化展示,列表类数据样例仅保留 1-2 条记录,实际返回条数以接口响应为准。